Fiat Withdraw(WITHDRAW)
API Description
Submit withdraw request, in this version, we support BRL,ARS,MXN withdrawal via bank_transfer.
You need to call this api first, and call query order detail api in a loop to get the status of the order until this order is successful.
Before calling this API, please ensure you have completed your KYC or KYB, activated your fiat service, and verified your destination bank account on our website.
HTTP Request
POST /sapi/v2/fiat/withdraw
Request Weight(UID)
45000
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| recvWindow | Long | NO | |
| timestamp | Long | YES |
Request Body
| Name | Type | Mandatory | Description |
|---|---|---|---|
| currency | STRING | YES | Fiat currency, such as BRL, ARS, MXN |
| apiPaymentMethod | STRING | YES | payment method current supported: bank_transfer |
| amount | NUMBER | YES | withdraw amount |
| accountInfo | OBJECT | YES | withdraw account info |
| accountInfo.accountNumber | STRING | YES | Your destination bank account number is required to receive the withdrawal. In Argentina, this will be your CBU/CVU; in Mexico, it will be your CLABE. |
| ext | OBJECT | NO | withdraw request ext info |
you need to bind your bank account on web/app before using the corresponding account number
Request Command
{
curl --location '{{domain}}/sapi/v2/fiat/withdraw?timestamp={{timestamp}}&signature={{signature}}' \
--header 'X-MBX-APIKEY: {{apikey}}' \
--header 'Content-Type: application/json' \
--data '{
"currency":"BRL",
"apiPaymentMethod":"bank_transfer",
"amount": 20,
"accountInfo": {
"accountNumber":"1056894222",
"agency":"1234",
"bankCodeForPix":"222",
"accountType":"current"
}
}'
}
Response Example
{
"code": "000000",
"message": "success",
"data": {
"orderId":"04595xxxxxxxxx37"
}
}
Error Codes
| index | code | message |
|---|---|---|
| 1 | -16007 | Not enough limit |
| 2 | -16009 | Not passed KYC/KYB |
| 3 | -16010 | Not supported currency or payment method |
| 4 | -16011 | Order not exist |
| 5 | -16012 | No channel supported |